Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.sound
Class CompressionInfo

    java.lang.Object
      |
      +--quicktime.util.QTByteObject
            |
            +--quicktime.sound.CompressionInfo

All Implemented Interfaces:
  quicktime.jdirect.InterfaceLib, quicktime.jdirect.PrimitivesLib, java.io.Serializable, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary, quicktime.jdirect.SoundLib

public final class CompressionInfo
extends QTByteObject
implements quicktime.jdirect.SoundLib, quicktime.jdirect.InterfaceLib

Contains information about the compression format of sound data.

See Also:
  Serialized Form

Field Summary
`static int` | `kNativeSize` This is the size of this class

Fields inherited from interface quicktime.jdirect.SoundLib
`JDirect_MacOSX, libraryInstance`

Fields inherited from interface quicktime.jdirect.InterfaceLib
`JDirect_MacOSX, libraryInstance`

Fields inherited from interface quicktime.jdirect.PrimitivesLib
`JDirect_MacOSX, libraryInstance`

Constructor Summary
`CompressionInfo()` Makes an instance of this class.

Method Summary
`static CompressionInfo` | `get(int compressionID, int format, int numChannels, int sampleSize)` Gets the CompressionInfo structure given the supplied information QuickTime::GetCompressionInfo
`int` | `getBytesPerFrame()` The bytesPerFrame.
`int` | `getBytesPerPacket()` The bytesPerPacket.
`int` | `getBytesPerSample()` The bytesPerSample.
`int` | `getCompressionID()` The compressionID.
`int` | `getFormat()` The format.
`int` | `getRecordSize()` The recordSize.
`int` | `getSamplesPerPacket()` The samplesPerPacket.
`void` | `setBytesPerFrame(int bytesPerFrame)` The bytesPerFrame.
`void` | `setBytesPerPacket(int bytesPerPacket)` The bytesPerPacket.
`void` | `setBytesPerSample(int bytesPerSample)` The bytesPerSample.
`void` | `setCompressionID(int compressionID)` The compressionID.
`void` | `setFormat(int format)` The format.
`void` | `setRecordSize(int recordSize)` The recordSize.
`void` | `setSamplesPerPacket(int samplesPerPacket)` The samplesPerPacket.
`java.lang.String` | `toString()` Returns a string representation of this object.

Methods inherited from class quicktime.util.QTByteObject
`equals, fromArray, getBytes, getSize`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### kNativeSize

    public static final int kNativeSize

  This is the size of this class

Constructor Detail

### CompressionInfo

    public CompressionInfo()

  Makes an instance of this class. This will set the record size to the kNativeSize value.

Method Detail

### get

    public static CompressionInfo get(int compressionID,
                                      int format,
                                      int numChannels,
                                      int sampleSize)
                               throws SoundException

  Gets the CompressionInfo structure given the supplied information
  QuickTime::GetCompressionInfo
  Parameters:
    `compressionID` - the id of the compression type
    `format` - the OSType that describes the compression used
    `numChannels` - the number of channels in the sound data
    `sampleSize` - the size of the sample
  Returns:
    a CompressionInfo object

### getRecordSize

    public int getRecordSize()

  The recordSize.
  Returns:

### setRecordSize

    public void setRecordSize(int recordSize)

  The recordSize.
  Parameters:
    `recordSize` -

### getFormat

    public int getFormat()

  The format.
  Returns:

### setFormat

    public void setFormat(int format)

  The format.
  Parameters:
    `format` -

### getCompressionID

    public int getCompressionID()

  The compressionID.
  Returns:

### setCompressionID

    public void setCompressionID(int compressionID)

  The compressionID.
  Parameters:
    `compressionID` -

### getSamplesPerPacket

    public int getSamplesPerPacket()

  The samplesPerPacket.
  Returns:

### setSamplesPerPacket

    public void setSamplesPerPacket(int samplesPerPacket)

  The samplesPerPacket.
  Parameters:
    `samplesPerPacket` -

### getBytesPerPacket

    public int getBytesPerPacket()

  The bytesPerPacket.
  Returns:

### setBytesPerPacket

    public void setBytesPerPacket(int bytesPerPacket)

  The bytesPerPacket.
  Parameters:
    `bytesPerPacket` -

### getBytesPerFrame

    public int getBytesPerFrame()

  The bytesPerFrame.
  Returns:

### setBytesPerFrame

    public void setBytesPerFrame(int bytesPerFrame)

  The bytesPerFrame.
  Parameters:
    `bytesPerFrame` -

### getBytesPerSample

    public int getBytesPerSample()

  The bytesPerSample.
  Returns:

### setBytesPerSample

    public void setBytesPerSample(int bytesPerSample)

  The bytesPerSample.
  Parameters:
    `bytesPerSample` -

### toString

    public java.lang.String toString()

  Returns a string representation of this object.
  Overrides:
    `toString` in class `QTByteObject`
  Returns:
    a String

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD